jQuery(document).ready(function(){	
	
	var getUrl = function(){
		var path = window.location.pathname.split("/");
	    var nombreModelo = path[path.length-3];
	    return "/ajax/buscar/"+ nombreModelo +"/{entity}/";
	};
		
	$('.imAutocomplete').each(function(){
		var $helper = $(this).find('> ul'),
			$select = $(this).find('> select'),
			$input = $(this).find('> input'),
			
			url = getUrl().replace('{entity}', $select.attr('name') ),
			liTpl = '<li id="item_h_%s">%s</li>',
			$close = $('<a href="#" class="closeManyItem"> X </a>');
	
		//moviendo el plus
		$(this).find('~ .add-another').insertAfter( $input ).css({
			float: 'left',
			marginTop: '7px'
		});
		
		$('.closeManyItem').live('click', function(){
			$(this).parent().fadeOut('fast', function(){
				$select.find('option[value='+ $(this).data('itemid') + ']' ).remove();
				$(this).remove();
				return true;
			});
			return false;
		});
		
		//Recorremos los items del select para lograr acceder a los nombres
		$select.find('option').each(function(){
			var id = $(this).val();
			
			$.get(url, {id: id}, function(data){
				data = data.split('|');
				var li = liTpl.replace('%s', data[1]).replace('%s', data[0]);
				li = $( li ).data('itemid', data[1]).append( $close.clone()	);
				$helper.append( li );
			});
		});
	
		
		$input.imAutoComplete( url, {max:20}, function(event, data, value) {
			var $option = $('#option_h_'+ data[1]),
				$myLi = $( liTpl.replace('%s', data[1]).replace('%s', data[0]) ).data('itemid', data[1]),
				$closeButton = $close.clone();
		
			if( !$option.length ){
				$select.append('<option id="option_h_'+ data[1] +'" value="'+ data[1] +'" selected="selected">'+ data[0] +'</option>');
		
				$helper.append( 
					$myLi.append( $closeButton )
				);
				
				$('.ac_results').css('width', '215px');
			}
			
			$(this).val('');
		});
	});
});