/*
Library: Citaciones-listado.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible funciones del listado de citaciones
Version: 2.0
Author: http://www.monoku.com

Creada : 16.03.10
Modificada : 16.03.10
*/

/**
* @param citaciones arreglo de objetos con:
* {
*   "proposito":"Lorem",
*   
* } 
*/
function funcion_crear_elemento_lista(citacion){	
	var $element = $("#example .li").clone();
	$element.find("h4 a").html(citacion.titulo).attr("href","/citaciones/"+slugify(citacion.titulo)+"/"+citacion.id+"/");
	$element.find(".module-fecha").html(parseFechaDia(new Date(citacion.fecha))).append($("<span>").html(new Date(citacion.fecha).getFullYear()));
	$element.find("h4 .de").html(citacion.comision?citacion.comision:citacion.camara).attr("href","/citaciones/"+slugify(citacion.titulo)+"/"+citacion.id+"/");
	if(citacion.citados && citacion.citados.length){
	    $element.find(".label-citados").removeClass("hidden")
		var $citmodeloriginal=$element.find(".template-citados .citados-wrapper").clone();
		$element.find(".template-citados").removeClass("hidden").find(".citados-wrapper").remove();
		for ( var i = 0; i < citacion.citados.length && i < 2; i++) {
			var $citmodel=$citmodeloriginal.clone();
			var elcitado=citacion.citados[i];
			if(!elcitado.nombre){
				elcitado.nombre="Indefinido";
			}
			if(elcitado.imagen){
				$citmodel.find(".avatar img").attr("src",elcitado.imagen);
			}
			else{
				$citmodel.find(".avatar img").attr("src","/media/img/imagen-perfil-hombre.jpg");
			}
			$citmodel.find(".avatar img").attr("alt",elcitado.nombre);
			$citmodel.find(".avatar a").attr("href","/citaciones/#q="+slugify(elcitado.nombre));
			$citmodel.find("h5 a").html(elcitado.nombre);
			$citmodel.find("h5 a").attr("href","/citaciones/#q="+slugify(elcitado.nombre));
			$citmodel.find(".cargo a").html(elcitado.cargo);
			$citmodel.find(".cargo a").attr('href',"/citaciones/#q="+slugify(elcitado.nombre));			
			$element.find(".template-citados").prepend($citmodel);
			
		}
	}
	return $element;
}
