/*
Library: Citaciones-listado.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible funciones del listado de citaciones
Version: 2.0
Author: http://www.monoku.com

Creada : 16.03.10
Modificada : 16.03.10
*/

/**
* @param citaciones arreglo de objetos con:
* {
*   "proposito":"Lorem",
*   
* } 
*/
function funcion_crear_elemento_lista(post){	
	var $element = $("#example .li").clone();
	$element.find("h4 a").html(post.titulo).attr("href","/agora/post/"+slugify(post.titulo)+"/"+post.id+"/");
	$element.find(".avatar a").attr("href","/agora/post/"+slugify(post.titulo)+"/"+post.id+"/");
	$element.find(".acerca").html(post.texto);
	$element.find(".info-pub").prepend(post.tipo_blog);
	$element.find(".info-pub").append(post.fecha_publicacion);
	if(post.autor){
		$element.find(".avatar img").attr("src","/media/"+post.autor_img);
		$element.find(".avatar img").attr("alt",post.autor);
		$element.find(".autor").html(post.autor);
	}
	return $element;
}