$(document).ready(function () {
	
	var graphobj=eval("("+$("#parameters").html()+")");
	graphActividades("#mytarget",graphobj);
});

function setListeners(element) {
	$(element).hover(function name() {
		$(this).addClass("over");
	}, function name() {
		$(this).removeClass("over");
	});
}

function graphActividades(idDivCanvas,graphobj){
	barras=graphobj.bars;
	//duración en barras de un año
	period=graphobj.colsxyear;
	//El año más reciente
	year=graphobj.lastyear;
	//maxima cantidad de actividades
	var maxCant=0;
	for ( var ints = 0; ints < barras.length; ints++) {
		if(maxCant<barras[ints]){
			maxCant=barras[ints];
		}
	}
	//GRAPH
	$graphArea=$("<div>").addClass("graphActividades").css("height",""+$(idDivCanvas).height());
	$graphActividades=$("<div>").addClass("canvaswrapper").append($graphArea);
	$graphContiner=$("<div>").addClass("graphContiner");
	//bar_width=width_proportion*2
	$graphContiner.append($graphActividades);
	$graphContiner.append($(".years-tags"));
	$(idDivCanvas).append($graphContiner);
	var width_proportion=($graphArea.width()/barras.length)*(1/4);
	for ( var ints = 0; ints < barras.length; ints++) {
		var $tempbar=$("<div/>");
		$tempbar.width(width_proportion*2);
		$tempbar.height((barras[ints]/maxCant)*($graphArea.height()*0.9));
		$tempbar.addClass("bar").css("bottom","0").css("left",""+(width_proportion+(width_proportion*4*ints)));
		setListeners($tempbar);
		$tempbar.append($("<span>"+barras[ints]+"</span>").width(width_proportion*2));
		$graphArea.append($tempbar);
		if(ints%period==0){
			$(".years-tags").append($("<div>"+year+"</div>").css("right",""+($graphArea.width()/(barras.length/period))*(ints/period)));
			year--;
		}
		if(ints+1==barras.length){
			$tempbar.addClass("selected");
		}
	}
	$(".years-tags").append($("<div>"+year+"</div>").css("left","0"));
}