/*
Library: PerfilProyecto.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible Perfil de Proyecto
Version: 2.0
Author: http://www.monoku.com

Creada : 10.12.09
Modificada : 16.01.10
*/
$(function(){
	var idgrupo=$("#id_persona").val();
	$.getScript("/media/js/actividades_manager.js",function(){
		ACTMODEL.fill=llenarActividades;
		ACTMODEL.initialize("grupo", "#listado_actividades", "#filtros_act", idgrupo);
	});
	
	$(".nivel-proyecto-detalle .tab-nav a").click(function(){
		var index=$(".tab-nav ul li").index($(this).parent());
		var index_tab=$(".tab").index($(".tab").not(":hidden"));
		if(index_tab!=index){
			$(".tab-nav ul li").removeClass("active");
			$(".tab").not(":hidden").fadeOut(function(){			
				$(".tab:eq("+index+")").fadeIn();
				$(".tab-nav ul li:eq("+index+")").addClass("active");
			});
		}
		return false;
	});
});

function llenarActividades(elements){
	if(elements && elements.length){
		var doc_frag=document.createDocumentFragment();
		for ( var i = 0; i < elements.length; i++) {
			var elemento=elements[i];
			var $actividad=($("#teplate_act_grupo").clone()).attr("id","").removeClass("hidden");
			if(elemento.tipo=="proyectodeley"){
				$actividad.find("h4 span").html("Sigue al proyecto de ley: ");
				$actividad.find("h4 a").html(elemento.objeto_seguido.nombre).attr("href",elemento.objeto_seguido.url);
				$actividad.find(".act-info").removeClass("hidden");
				$actividad.find(".ls-date").html(elemento.fecha);
				doc_frag.appendChild($actividad.get(0));
			}
			if(elemento.tipo=="congresista"){
				$actividad.find("h4 span").html("Sigue al congresista: ");
				$actividad.find("h4 a").html(elemento.objeto_seguido.nombres+"  "+elemento.objeto_seguido.apellidos).attr("href",elemento.objeto_seguido.url);
				$actividad.find(".ls-comision").html(elemento.objeto_seguido.nombre);
				$actividad.find(".ls-date").html(elemento.fecha);
				doc_frag.appendChild($actividad.get(0));
			}
			if(elemento.tipo=="partido"){
				$actividad.find("h4 span").html("Sigue al partido: ");
				$actividad.find("h4 a").html(elemento.objeto_seguido.nombre).attr("href",elemento.objeto_seguido.url);
				$actividad.find(".ls-comision").html(elemento.objeto_seguido.nombre);
				$actividad.find(".ls-date").html(elemento.fecha);
				doc_frag.appendChild($actividad.get(0));
			}
		}
		$("#listado_actividades").append(doc_frag);
	}
}