/*
Author Local: Potter
SVN User: $Author$
File: perfil-usuario
Proyect: cvisible2
Date Created: Mar 23, 2010 11:28:31 AM
Date Modified: $Date$
Description: Perfil del usuario de CVisible.
monoku 2010 / http://monoku.com
*/
var pagina_actual=0;
$(function(){
	$.getScript("/media/js/actividades_manager.js",function(){
		ACTMODEL.buttons= {
				"Proyectos":["cambio_estado_proyecto", "proyecto_autor_congresista","proyecto_autor_partido","votacion_proyecto"],
				"Congresistas":["citante_de_citacion", "congresista_autor_proyecto", "congresista_comenta", "congresista_escribe_articulo", "congresista_vota","ponente_de_proyecto"],
				"Partidos":["partido_citante_de_citacion", "partido_congresista_autor_proyecto","partido_congresista_comenta", "partido_congresista_escribe_articulo","partido_congresista_vota","partido_autor_proyecto","partido_vota","partido_ponente_de_proyecto"]/*,
				"Ponencias":["partido_ponente_de_proyecto"],
				"Citaciones":["partido_citante_de_citacion"],
				"Votaciones":["partido_congresista_vota", "partido_vota"],*/
				,"Otros":["partido_congresista_comenta", "partido_congresista_escribe_articulo","congresista_comenta", "congresista_escribe_articulo"]
			};
		ACTMODEL.initialize("usuario", "#listado_actividades", "#filtros-actividades", $("#id_persona").val());
	});
	$("#ver_mas_actividades").click(function(){
		ACTMODEL.more();
		return false;	
	});
	
	$('#editar-info').click(editar_perfil);
	$('#editar-posicion').click(editarPosicion);
	
	try{
		var dbDay = $('.bd-date.day'),
		dbYear = $('.bd-date.year'),
		frag = document.createDocumentFragment(),
		frag2 = document.createDocumentFragment(),
		opt = null,
		year = parseInt( new Date().getFullYear() ),
		minYear = year - 80,
		maxYear = year - 15;
		
		for(var i = 1; i <= 30; i++){
			opt = document.createElement('option');
			opt.setAttribute('value', i);
			opt.innerHTML = i;
			frag.appendChild(opt);
		}
		
		dbDay[0].appendChild(frag);
		
		for( i = minYear; i <= maxYear; i++){
			opt = document.createElement('option');
			opt.setAttribute('value', i);
			opt.innerHTML = i;
			frag2.appendChild(opt);
		}	
		dbYear[0].appendChild(frag2);
		
		$('.bd-date').live('change', function(){
			var values = {},
			siblings = $(this).siblings('.bd-date');
			
			values[ $(this).attr('name') ] = $(this).val();
			
			for(var i = 0, len = siblings.length; i < len; i++){
				values[ siblings.eq(i).attr('name') ] = siblings.eq(i).val();
			}
			
			$(this).parents('form').find('#id_anio_nacimiento').val( values['year']+'-'+ values['month'] +'-'+ values['day'] );
		});
	}catch(e){}
	
	$('.network-profile-info h3').live('click', function(){
		if( $(this).find('> span').hasClass('opened') ){
			$(this).siblings('.network-container-info').slideUp();
			$(this).find('> span').removeClass('opened');
		}
		else{
			$(this).siblings('.network-container-info').slideDown();
			$(this).find('> span').addClass('opened');
		}
		return false;
	});
});

function editar_perfil(){
	$leclone = $(".editar-perfil-container").clone();
	$leclone.find("#the_form_").attr("id","the_form_perfil")
	$leclone.removeClass("hidden").find(".cancel-form").click(function(){
		closePopup();
	});
	popMeUp($leclone);
	
	var fecha_nac = $leclone.find("#id_anio_nacimiento").val();
	var parts = fecha_nac.split('-');
	
	if(parts.length === 3){
		$leclone.find("#db-date-year").val( parts[0] );
		$leclone.find("#db-date-day").val( Number(parts[2]) );
		$leclone.find("#db-date-month").val( Number(parts[1]) );
	}
	return false;
}

function editarPosicion(){
	var iframe = $('<iframe src="/perfil/editar_posicion/" frameborder="0" allowtransparency="true"></iframe>');
	iframe.load(function(){
		var h = $(this.contentWindow.document.body).height();
		$(this).css('height', (h) +'px');
	});
	
	popMeUp(iframe);
	return false;
}
