function CustomFileBrowser(field_name, url, type, win) {

    var cmsURL = "/admin/filebrowser/browse/?pop=2";
    cmsURL = cmsURL + "&type=" + type;

    tinyMCE.activeEditor.windowManager.open({
        file: cmsURL,
        width: 820,  // Your dimensions may differ - toy around with them!
        height: 1000,
        resizable: "yes",
        scrollbars: "yes",
        inline: "no",  // This parameter only has an effect if you use the inlinepopups plugin!
        close_previous: "no"
    }, {
        window: win,
        input: field_name,
        editor_id: tinyMCE.selectedInstance.editorId
    });
    return false;
}

tinyMCE.init({
    theme : "advanced",
    mode : "exact",
    elements : "id_cuestionario,id_detalles,id_respuesta",
    theme_advanced_toolbar_location : "top",
    theme_advanced_buttons1 : "removeformat,|,justifyleft,justifycenter,justifyright,|,bold,italic,formatselect,bullist,numlist,image,",
    theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|spellchecker,link,|,bold,italic,underline,strikethrough,|,code,",
    theme_advanced_buttons3 : "",
    theme_advanced_toolbar_align : "left",
    theme_advanced_resizing : true,
    file_browser_callback: "CustomFileBrowser"
});
