/*
Library: Votaciones.js
Theme URI: http://www.congresovisible.org
Description: Listado de Votaciones de Congreso Visible
Version: 1.0
Author: http://www.monoku.com

Creada : 15.01.10
Modificada : 15.01.10
*/
//setTipoElemento('votaciones');
/**
 * @param arreglo de objetos votacion con la estructura:
 * {
 *  "id":"id de la votacion",
 * 	"mes_dia":"Nov 09",
 * 	"ano":2010,
 * 	"estado":"aprobado", //no-aprobado
 * 	"procedimiento":"Bla blablabla bla",
 * 	"acuerdo":"80%",
 * 	"desacuerdo":"20%"
 * }
 */



jQuery(document).ready(function(){
	calculateBars();
});

function funcion_crear_elemento_lista(votacion){	
	var $ejemplo=$("#example .li").clone();
	$ejemplo.find(".module-fecha").html(votacion.mes_dia+"<span>"+votacion.ano+"</span>");
	$ejemplo.find(".estado-actual").append($("<span>").addClass(votacion.estado).html(votacion.estado));
	$ejemplo.find("h4 a").html(votacion.procedimiento).attr("href","/votaciones/"+votacion.id+"/");
	$ejemplo.find("a.ir").attr("title","Ir a "+votacion.procedimiento).attr("href","/votaciones/"+votacion.id+"/");
	$ejemplo.find(".t-porcentaje.negativo").html(votacion.desacuerdo);
	$ejemplo.find(".t-porcentaje.positivo").html(votacion.acuerdo);
	$ejemplo.find(".contra2 .bar").css("width",votacion.desacuerdo);
	$ejemplo.find(".favor2 .bar").css("width",votacion.acuerdo);
	if(votacion.comisiones) {
		$ejemplo.find(".procedimiento p a").html(votacion.comisiones);
	}else {
		$ejemplo.find(".procedimiento p a").css("display","none");
	}
	if(votacion.camaras) {
		$ejemplo.find(".procedimiento p span").html(votacion.camaras);
	}else {
		$ejemplo.find(".procedimiento p span").hide();
	}
	return $ejemplo;
}