/*
Author Local: Potter
SVN User: $Author$
File: congresistas-lista
Proyect: cvisible
Date Created: Mar 11, 2010 09:37:30 AM
Date Modified: $Date$
Description: Controlador del listado de congresistas y candidatos
monoku 2010 / http://monoku.com
*/
var standard_congressman=
	'<div class="li">'+
    	'<div class="avatar">'+
			'<div>'+
	  			'<a href="perfil/@nombre_slugify/@id_congresista" title="Ver perfil de @nombre_completo">'+
	  				'<img src="@imagen" alt="@nombre_completo"/>'+
	  			'</a>'+
			'</div>'+
		'</div>'+
		'<h3><a href="perfil/@nombre_slugify/@id_congresista" title="Ver perfil de @nombre_completo">@nombre_completo</a><span class="c-@es_activoactivo" title="@es_activo_title"></span><span class="c-@es_candidatocandidato" title="@es_candidato_title"></span></h3>'+
		'<p>@bio</p>'+
		//'<p class="parrafo1">@ultima_actividad.fecha_hora</p>'+
		'<p class="tags-listado">'+
		'</p>'+
	'</div>';
var starndard_congressman_camara='<a class="tag-congresista"><span class="inner"><span>@camara</span></span></a>';
var starndard_congressman_comision='<a class="tag-congresista"><span class="inner"><span>@comision</span></span></a>';
var starndard_congressman_partido='<a class="tag-congresista"><span class="inner"><span>@partido</span></span></a>';

/**
 * @param congresistas arreglo de objetos congresista con la estructura:
 * [{'nombres':'',
 * 	'apellidos':'',
 * 	'partido_politico':'',
 * 	'fecha_ultima_actividad':'',
 * 	'texto_ultima_actividad':'',
 * 	'camara':'',
 * 	'comision':'',
 * 	'imagen':''}] 
 */
function funcion_crear_elemento_lista(congresista){	
			var edited_congressman=standard_congressman;
			var nombre_completo=congresista.nombres+" "+congresista.apellidos;
			edited_congressman=edited_congressman.replace("@imagen",congresista.imagen);
			edited_congressman=edited_congressman.replace(/@nombre_completo/g,nombre_completo);
			edited_congressman=edited_congressman.replace(/@nombre_slugify/g,slugify(nombre_completo));
			edited_congressman=edited_congressman.replace(/@id_congresista/g,congresista.id);
			edited_congressman=edited_congressman.replace("@es_activo",congresista.es_activo?"":"no");
			edited_congressman=edited_congressman.replace("@es_candidato",congresista.es_candidato?"":"no");
			edited_congressman=edited_congressman.replace("@es_activo_title",congresista.es_congresista?"Activo":"Inactivo");
			edited_congressman=edited_congressman.replace("@es_candidato_title",congresista.es_candidato?"Candidato":"No es Candidato");
			edited_congressman=edited_congressman.replace("@ultima_actividad.tipo",congresista.ultima_actividad?congresista.ultima_actividad.tipo:" ");
			edited_congressman=edited_congressman.replace("@bio",congresista.bio?congresista.bio:"");
			edited_congressman=edited_congressman.replace("@ultima_actividad.texto",congresista.texto_ultima_actividad?congresista.texto_ultima_actividad:" ");
			edited_congressman=edited_congressman.replace("@ultima_actividad.fecha_hora",congresista.fecha_ultima_actividad?congresista.fecha_ultima_actividad:" ");
			var $congresElem=$(edited_congressman);
			if(congresista.camara && congresista.camara.replace(" ","").length){
				var tempcamara=starndard_congressman_camara.replace("@camara",congresista.camara);
				$congresElem.find(".tags-listado").append($(tempcamara));
			}
			if(congresista.comision && congresista.comision.replace(" ","").length){
				var tempcomision=starndard_congressman_comision.replace("@comision",congresista.comision);
				$congresElem.find(".tags-listado").append($(tempcomision));
			}
			if(congresista.partido_politico && congresista.partido_politico.replace(" ","").length){
				var temppartido=starndard_congressman_partido.replace("@partido",congresista.partido_politico);
				$congresElem.find(".tags-listado").append($(temppartido));
			}
			return $congresElem;
}

function cargarReporteComposicion(elem,grupo){
	if($(elem).hasClass("active")){
		return false;
	}
	$("ul.reportes-lista li").removeClass("active");
	$(elem).addClass("active");
	var temp;
	if ($("body").attr("id")=="seccion_candidatos") {
		temp="&es_candidato=True";
	}else{
		temp="&es_congresista=True"
	}
	var width=465;
	var height=245;
	$("#grafico_reporte_composicion").attr("src","/api/composicion/pie/?group_by="+grupo+"&height="+height+"&width="+width+temp);
	return false;
}
function cargarReporteComposicionTipo(elem,grupo,tipo){
	if($(elem).hasClass("active")){
		return false;
	}
	$("ul.reportes-lista li").removeClass("active");
	$(elem).addClass("active");
	var temp;
	if ($("body").attr("id")=="seccion_candidatos") {
		temp="&es_candidato=True";
	}else{
		temp="&es_congresista=True";
	}
	var width=465;
	var height=(tipo=='pie'?245:245);
	$("#grafico_reporte_composicion").attr("src","/api/composicion/"+tipo+"/?group_by="+grupo+"&height="+height+"&width="+width+temp);
	
	return false;
}
