/*!
 * Scripts del tab
 *
 * @author John Acosta<john@monoku.com>
 * Copyright (C) 2011 monoku S.A.S
 */
(function(){
	var activeTrigger = document.getElementById('bio-trigger');
	var activeTab = document.getElementById('bio-tab');
	
	document.getElementById('tabs').onclick = function(evt){
		var e = evt || window.event;
		var target = e.target || e.srcElement;
		
		if(target.tagName === 'A' && activeTrigger !== target){
			removeClass(activeTrigger, 'active');
			removeClass(activeTab, 'active');
			
			activeTrigger = target;
			activeTab = document.getElementById(target.getAttribute('rel') + '-tab');
			
			addClass(activeTrigger, 'active');
			addClass(activeTab, 'active');
		}
		return false;
	};
	
	function hasClass(ele,cls) {
		return ele.className ? ele.className.match(new RegExp('(\\s|^)'+cls+'(\\s|$)')) : false;
	}
	
	function addClass(ele,cls) {
		if (!hasClass(ele,cls)) ele.className += " "+cls;
	}
	function removeClass(ele,cls) {
		if (hasClass(ele,cls)) {
			var reg = new RegExp('(\\s|^)'+cls+'(\\s|$)');
			ele.className=ele.className.replace(reg,' ');
		}
	}
})();