/***
jsdifflib - A Javascript visual diff tool & library (https://github.com/cemerick/jsdifflib)

Esta libreria se comprimio usando jscompress.com

This is part of jsdifflib v1.0. <http://snowtide.com/jsdifflib>

Copyright (c) 2007, Snowtide Informatics Systems, Inc.
All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

	* Redistributions of source code must retain the above copyright notice, this
		list of conditions and the following disclaimer.
	* Redistributions in binary form must reproduce the above copyright notice,
		this list of conditions and the following disclaimer in the documentation
		and/or other materials provided with the distribution.
	* Neither the name of the Snowtide Informatics Systems nor the names of its
		contributors may be used to endorse or promote products derived from this
		software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
DAMAGE.
***/
/* Author: Chas Emerick <cemerick@snowtide.com> */
__whitespace={" ":true,"	":true,"\n":true,"\f":true,"\r":true};difflib={defaultJunkFunction:function(a){return __whitespace.hasOwnProperty(a)},stripLinebreaks:function(a){return a.replace(/^[\n\r]*|[\n\r]*$/g,"")},stringAsLines:function(a){var b=a.indexOf("\n");var c=a.indexOf("\r");var d=b>-1&&c>-1||c<0?"\n":"\r";var e=a.split(d);for(var f=0;f<e.length;f++){e[f]=difflib.stripLinebreaks(e[f])}return e},__reduce:function(a,b,c){if(c!=null){var d=c;var e=0}else if(b){var d=b[0];var e=1}else{return null}for(;e<b.length;e++){d=a(d,b[e])}return d},__ntuplecomp:function(a,b){var c=Math.max(a.length,b.length);for(var d=0;d<c;d++){if(a[d]<b[d])return-1;if(a[d]>b[d])return 1}return a.length==b.length?0:a.length<b.length?-1:1},__calculate_ratio:function(a,b){return b?2*a/b:1},__isindict:function(a){return function(b){return a.hasOwnProperty(b)}},__dictget:function(a,b,c){return a.hasOwnProperty(b)?a[b]:c},SequenceMatcher:function(a,b,c){this.set_seqs=function(a,b){this.set_seq1(a);this.set_seq2(b)};this.set_seq1=function(a){if(a==this.a)return;this.a=a;this.matching_blocks=this.opcodes=null};this.set_seq2=function(a){if(a==this.b)return;this.b=a;this.matching_blocks=this.opcodes=this.fullbcount=null;this.__chain_b()};this.__chain_b=function(){var a=this.b;var b=a.length;var c=this.b2j={};var d={};for(var e=0;e<a.length;e++){var f=a[e];if(c.hasOwnProperty(f)){var g=c[f];if(b>=200&&g.length*100>b){d[f]=1;delete c[f]}else{g.push(e)}}else{c[f]=[e]}}for(var f in d){if(d.hasOwnProperty(f)){delete c[f]}}var h=this.isjunk;var i={};if(h){for(var f in d){if(d.hasOwnProperty(f)&&h(f)){i[f]=1;delete d[f]}}for(var f in c){if(c.hasOwnProperty(f)&&h(f)){i[f]=1;delete c[f]}}}this.isbjunk=difflib.__isindict(i);this.isbpopular=difflib.__isindict(d)};this.find_longest_match=function(a,b,c,d){var e=this.a;var f=this.b;var g=this.b2j;var h=this.isbjunk;var i=a;var j=c;var l=0;var m=null;var n={};var o=[];for(var p=a;p<b;p++){var q={};var r=difflib.__dictget(g,e[p],o);for(var s in r){if(r.hasOwnProperty(s)){m=r[s];if(m<c)continue;if(m>=d)break;q[m]=k=difflib.__dictget(n,m-1,0)+1;if(k>l){i=p-k+1;j=m-k+1;l=k}}}n=q}while(i>a&&j>c&&!h(f[j-1])&&e[i-1]==f[j-1]){i--;j--;l++}while(i+l<b&&j+l<d&&!h(f[j+l])&&e[i+l]==f[j+l]){l++}while(i>a&&j>c&&h(f[j-1])&&e[i-1]==f[j-1]){i--;j--;l++}while(i+l<b&&j+l<d&&h(f[j+l])&&e[i+l]==f[j+l]){l++}return[i,j,l]};this.get_matching_blocks=function(){if(this.matching_blocks!=null)return this.matching_blocks;var a=this.a.length;var b=this.b.length;var c=[[0,a,0,b]];var d=[];var e,f,g,h,i,j,k,l,m;while(c.length){i=c.pop();e=i[0];f=i[1];g=i[2];h=i[3];m=this.find_longest_match(e,f,g,h);j=m[0];k=m[1];l=m[2];if(l){d.push(m);if(e<j&&g<k)c.push([e,j,g,k]);if(j+l<f&&k+l<h)c.push([j+l,f,k+l,h])}}d.sort(difflib.__ntuplecomp);var n=j1=k1=block=0;var o=[];for(var p in d){if(d.hasOwnProperty(p)){block=d[p];i2=block[0];j2=block[1];k2=block[2];if(n+k1==i2&&j1+k1==j2){k1+=k2}else{if(k1)o.push([n,j1,k1]);n=i2;j1=j2;k1=k2}}}if(k1)o.push([n,j1,k1]);o.push([a,b,0]);this.matching_blocks=o;return this.matching_blocks};this.get_opcodes=function(){if(this.opcodes!=null)return this.opcodes;var a=0;var b=0;var c=[];this.opcodes=c;var d,e,f,g,h;var i=this.get_matching_blocks();for(var j in i){if(i.hasOwnProperty(j)){d=i[j];e=d[0];f=d[1];g=d[2];h="";if(a<e&&b<f){h="replace"}else if(a<e){h="delete"}else if(b<f){h="insert"}if(h)c.push([h,a,e,b,f]);a=e+g;b=f+g;if(g)c.push(["equal",e,a,f,b])}}return c};this.get_grouped_opcodes=function(a){if(!a)a=3;var b=this.get_opcodes();if(!b)b=[["equal",0,1,0,1]];var c,d,e,f,g,h;if(b[0][0]=="equal"){c=b[0];d=c[0];e=c[1];f=c[2];g=c[3];h=c[4];b[0]=[d,Math.max(e,f-a),f,Math.max(g,h-a),h]}if(b[b.length-1][0]=="equal"){c=b[b.length-1];d=c[0];e=c[1];f=c[2];g=c[3];h=c[4];b[b.length-1]=[d,e,Math.min(f,e+a),g,Math.min(h,g+a)]}var i=a+a;var j=[];for(var k in b){if(b.hasOwnProperty(k)){c=b[k];d=c[0];e=c[1];f=c[2];g=c[3];h=c[4];if(d=="equal"&&f-e>i){j.push([d,e,Math.min(f,e+a),g,Math.min(h,g+a)]);e=Math.max(e,f-a);g=Math.max(g,h-a)}j.push([d,e,f,g,h])}}if(j&&j[j.length-1][0]=="equal")j.pop();return j};this.ratio=function(){matches=difflib.__reduce(function(a,b){return a+b[b.length-1]},this.get_matching_blocks(),0);return difflib.__calculate_ratio(matches,this.a.length+this.b.length)};this.quick_ratio=function(){var a,b;if(this.fullbcount==null){this.fullbcount=a={};for(var c=0;c<this.b.length;c++){b=this.b[c];a[b]=difflib.__dictget(a,b,0)+1}}a=this.fullbcount;var d={};var e=difflib.__isindict(d);var f=numb=0;for(var c=0;c<this.a.length;c++){b=this.a[c];if(e(b)){numb=d[b]}else{numb=difflib.__dictget(a,b,0)}d[b]=numb-1;if(numb>0)f++}return difflib.__calculate_ratio(f,this.a.length+this.b.length)};this.real_quick_ratio=function(){var a=this.a.length;var b=this.b.length;return _calculate_ratio(Math.min(a,b),a+b)};this.isjunk=c?c:difflib.defaultJunkFunction;this.a=this.b=null;this.set_seqs(a,b)}}
