/*
Library: Reportes.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible funciones de reportes
Version: 1.0
Author: http://www.monoku.com

Creada : 02.12.09
Modificada : 02.12.09
*/

var _reportCategory;
var _reportPeriod;
$(document).ready(function(){
	_reportCategory=slugify($("#listbox-categorias .item-selected div").html());
	_reportPeriod=slugify($("#listbox-periodo .item-selected div").html());
	/*-- PorcentajeTablas --*/
	$("table:has(td.percent)").one("mouseover",
	function(){		
		//alert($(this).find(".percent").length);
		var percent=$(this).find(".percent").css("text-align","left");
		for ( var i = 0; i < percent.length; i++) {
			$(percent[i]).prepend($("<div>").addClass("percentbar").animate({width:$(percent[i]).html()},2000));
		}
	});
	/*-- Otros Reportes --*/
	$("#otros-reportes .reporte:first").fadeIn();
	//timerId=setTimeout('$("#otros-reportes .reporte").not(":hidden").fadeOut(function(){$(this).next().fadeIn();});',2000);

	$("#cajalista ul ul li").not(".hay-mas").click(function() {
		var value=$(this).children(".text").html();
		var category=$(this).parent().prev().attr("id").replace("cat_","");
		toggleCategoryValue(category,value);
	});
	$("#more_elements .more-attributes li").live("click", function(event) {
		var valor=$(this).children(".text").html();
		var category=$(this).parent().prev().attr("id").replace("cat_","");
		toggleCategoryValue(category,value);
		event.stopPropagation();
	});
	//Click en periodo
	$("#listbox-periodo .item-list li").live("click", function(){
		_reportPeriod=slugify($(this).html());
		reloadReports();
	});
	$("#listbox-categorias .item-list li").live("click", function(){
		_reportCategory=slugify($(this).html());
		reloadReports();
	});
});

function nextReport(){
	if($("#otros-reportes .reporte").not(":hidden").next().length>0){
		$("#otros-reportes").css("height",$("#otros-reportes").height()+"px");
		$("#otros-reportes .reporte").not(":hidden").fadeOut(function(){
			$(this).next().fadeIn();
			var $tmp=$(this).next();
			$(this).parent().animate({height:($tmp.outerHeight())+"px"},function(){$(this).css("height","auto")});
		});
	}
}
function prevReport(){
	if($("#otros-reportes .reporte").not(":hidden").prev().length>0){
		$("#otros-reportes").css("height",$("#otros-reportes").height()+"px");
		$("#otros-reportes .reporte").not(":hidden").fadeOut(function(){
			$(this).prev().fadeIn();
			var $tmp=$(this).prev();
			$(this).parent().animate({height:($tmp.outerHeight())+"px"},function(){$(this).css("height","auto")});
		});
	}
}

function toggleCategoryValue(category, value){
	var tags=$(".atributos-perfil .atributo-perfil");
	for ( var i = 0; i < tags.length; i++) {
		if($(tags[i]).data("category")==category){
			$(tags[i]).data("value",value);
			$(tags[i]).attr("title","Quitar: "+value);
			$(tags[i]).find("div").html(value.substring(0,30));
			reloadReports();
			return;
		}
	}
	var $tag=$("<div/>").addClass("atributo-perfil");
	$tag.append($("<div>").html(value.substring(0,30))).append($("<span/>"));
	$tag.attr("title","Quitar: "+value);
	$tag.data("category",category);
	$tag.data("value",value);
	$tag.click(function(){
		$(this).slideUp("fast",function(){
			$(this).remove();
			reloadReports();
		});
	});
	$tag.css("display","none");
	$(".atributos-perfil").append($tag);
	$tag.slideDown("fast");
	reloadReports();
}

function reloadReports(){
	reloadMainGraphic();
	reloadPresentPeriodGraphic();
	reloadRelatedInquiries();
}

function reloadMainGraphic(){
	var query="/api/composicion/pie/?group_by="+_reportCategory+"&periodo="+_reportPeriod+"&height=300&width=640";
	var tags=$(".atributos-perfil .atributo-perfil");
	for ( var i = 0; i < tags.length; i++) {
		query+="&"+$(tags[i]).data("category")+"="+$(tags[i]).data("value");
	}
	$("#main-graph").attr("src",query);
}
function reloadPresentPeriodGraphic(){
//	$.get("/reportes/composicion/",{categoria:_reportCategory},function(){
//		
//	});
}
function reloadRelatedInquiries(){
	
}