/*
Library: Partidos.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible Lista Partidos
Version: 2.0
Author: http://www.monoku.com

Creada : 10.12.09
Modificada : 16.01.10
*/
//setTipoElemento('partidos');
var standard_partido=
		'<div class="avatar">'+
		    '<div>'+
		        '<img src="@img" alt="@nombre"/>'+
		    '</div>'+
		    '<a href="@url"></a>'+
		'</div>'+
		'<h3><a href="@url">@nombre</a></h3>'+
	    '<div class="integrantes">'+
	        '<h4>@cant</h4>'+
	        '<p>Integrantes Congresistas</p>'+
	    '</div>'+
//	    '<div class="dpto">'+
//	        '<h4>@depto</h4>'+
//	        '<p>Departamento</p>'+
//	    '</div>'+
	    '<div class="integrantes">'+
	        '<h4>@candid</h4>'+
	        '<p>Integrantes Candidatos</p>'+
	    '</div>';

/**
 * @param congresistas arreglo de objetos partido con la estructura:
 * {
 *  "id":"id del partido para url",
 * 	"nombre":"nombre",
 * 	"img":"imagen, si no tiene la de por defecto",
 * 	"num_integrantes":#integrantes,
 * 	"departamento":"departamento",
 * 	"antiguedad":"antiguedad como se desee probar...",
 * 	"candidatos":"antiguedad como se desee probar..."
 * }
 */
function funcion_crear_elemento_lista(partido){	
	var edited_partido=standard_partido;
	edited_partido=edited_partido.replace("@img",partido.img);
	edited_partido=edited_partido.replace(/@nombre/g,partido.nombre);
	edited_partido=edited_partido.replace(/@url/g,"/partidos/perfil/"+slugify(partido.nombre)+"/"+partido.id+"/");
	edited_partido=edited_partido.replace("@cant",partido.num_integrantes?partido.num_integrantes:"0");
	edited_partido=edited_partido.replace("@depto",partido.departamento);
	edited_partido=edited_partido.replace("@candid",partido.candidatos?partido.antiguedad:"0");
	var $congresElem=$(edited_partido);
	return $congresElem;
}