/*
Library: PerfilProyecto.js
Theme URI: http://www.congresovisible.org
Description: Congreso Visible Perfil de Proyecto
Version: 2.0
Author: http://www.monoku.com

Creada : 10.12.09
Modificada : 16.01.10
*/
$(function(){
	var idProyectoLey=$("#id_proyecto").val(),
		sendToCitizen = '/proyectos-de-ley/votociudadano/'+idProyectoLey+'/',
		isLoading = false;
	
	$('#switch_voto').click(function(){
		$('.cont-suvoto').addClass('hidden');
		$('.cont-votar').removeClass('hidden');
		return false;
	});
	
	$('.cont-votar .buttons a').click(function(){
		if(!isLoading){
			var ind = $(this).attr('id') == 'si' ? 'si' : 'no';
			isLoading = true;
			$.get( sendToCitizen + ind + '/', function(){
				$('.cont-suvoto').removeClass('hidden');
				$('.cont-votar').addClass('hidden');
				
				$('a.suvoto').html(
					ind == 'si' ? 'A Favor' : 'En contra'
				);
				isLoading = false;
			});
		}
		return false;
	});
});

function mostrarTodasLasVotaciones(){
    goToTab(1);
	HManager.setVar('tab', 1);
	gwtHistoryReceiver(HManager.hash);
	$("#gran-listado-de-votaciones tr").fadeIn();
	$(".mostrar-votaciones-anchor").hide();
}
function modificarListaYHacerScroll(id_estado){
    var numFilas = $('#gran-listado-de-votaciones tbody tr').length
    $('#gran-listado-de-votaciones tbody tr').each(function(index){
                    if($(this).is('#gran-listado-de-votaciones tr.estado_'+id_estado)){
                        $(this).fadeIn(function(){
                                        numFilas--;
                                        if(numFilas == 0){
                                                $.scrollTo('#gran-listado-de-votaciones tr.estado_'+id_estado, 2000);
                                        }
                                    });
                    }else{
                        $(this).fadeOut(function(){
                                        numFilas--;
                                        if(numFilas == 0){
                                                $.scrollTo('#gran-listado-de-votaciones tr.estado_'+id_estado, 2000);
                                        }
                                    });
                    }
        });
}
function mostrarVotacionesEstado(id_estado){
	$(".mostrar-votaciones-anchor").show();
    desTab = 1;
    HManager.setVar('tab', desTab);
	gwtHistoryReceiver(HManager.hash);
	// El siguiente código esta basado en la funcion goToTab del archivo js/perfil.js 
    if(!$(".tab:eq("+desTab+")").is(":visible")){
		$(".tab-nav ul li").removeClass("active");
		$(".tab").not(":hidden").fadeOut(
		    function(){
			    $(".tab:eq("+desTab+")").fadeIn(
			    function(){
			        $(".tab-nav ul li:eq("+desTab+")").addClass("active");
			        modificarListaYHacerScroll(id_estado);
		        });
		    });
	}else{
        modificarListaYHacerScroll(id_estado);
	}
}
function mostrarEstado(id_estado){
    desTab = 2
    HManager.setVar('tab', desTab);
	gwtHistoryReceiver(HManager.hash);
	// El siguiente código esta basado en la funcion goToTab del archivo js/perfil.js 	
    if(!$(".tab:eq("+desTab+")").is(":visible")){
		$(".tab-nav ul li").removeClass("active");
		$(".tab").not(":hidden").hide(
		    function(){
			    $(".tab:eq("+desTab+")").show(
			    function(){
			        $(".tab-nav ul li:eq("+desTab+")").addClass("active");
                    $.scrollTo('#tabla-estados-proyecto tr.estado_'+id_estado, 2000)
		        });
		    });
	}else{     
        $.scrollTo('#tabla-estados-proyecto tr.estado_'+id_estado, 2000)
	}
}
