
//setTipoElemento('proyectos');
$(document).ready(function(){
	alinearPorcentajesEnBarras();
});
function alinearPorcentajesEnBarras(){
	var proyectos = $("#lista-proyectos li");
	for ( var i = 0; i < proyectos.length; i++) {
		$(proyectos[i]).find(".favor2 div").width($(proyectos[i]).find(".favor").text());
		$(proyectos[i]).find(".contra2 div").width($(proyectos[i]).find(".contra").text());
	}
}

/**
* @param congresistas arreglo de objetos partido con la estructura:
* {
*   "id":"id del proyecto",
*   "numero":"numero del proyecto",
* 	"nombre":"nombre",
* 	"estado":"estado del proyecto",
* 	"fecha":"fecha",
* 	"cant_visitas":"cantidad de visitas",
* 	"cant_comentarios":"cantidad de comenatrios",
* 	"favor":"porcentaje votos a favor",
* 	"contra":"porcentaje votos en contra"
* } 
*/
function funcion_crear_elemento_lista(proyecto){	
	var $element = $("#example .li").clone();
	$element.find(".numero-camara").html(proyecto.numero_camara?proyecto.numero_camara:"&minus;");
	$element.find(".numero-senado").html(proyecto.numero_senado?proyecto.numero_senado:"&minus;");
	$element.find("h3 a").attr("href","/proyectos-de-ley/"+slugify(proyecto.nombre)+"/"+proyecto.id+"/").html("&#8220;"+proyecto.nombre.substring(0,1).toUpperCase()+proyecto.nombre.substring(1)+"&#8221;");
	$element.find(".estado").html(proyecto.estado);
	$element.find(".fecha").html(proyecto.fecha);
	$element.find(".cvisitas").html(proyecto.cant_visitas);
	$element.find(".ccomentarios").html(proyecto.cant_comentarios);
	$element.find(".t-porcentaje.negativo").html(proyecto.contra);
	$element.find(".t-porcentaje.positivo").html(proyecto.favor);
	$element.find(".contra2 .bar").css("width",proyecto.contra);
	$element.find(".favor2 .bar").css("width",proyecto.favor);
	$element.find(".fecha").html(proyecto.fecha);
	return $element;
}